• Post Reply Bookmark Topic Watch Topic
  • New Topic

spring,hibernate,maven example error

 
sai rama krishna
Ranch Hand
Posts: 496
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I am trying below example(SpringHibernateMavenProject)

https://github.com/Nirman-Rathod/Spring

I see all errors in below 2 classes




I got attached error.

Please advise hw to fix and execute this example?
springhibernateErr.png
[Thumbnail for springhibernateErr.png]
err
 
Tushar Goel
Ranch Hand
Posts: 927
4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Have you read errors? what do you understand by them?

It looks like you have not added spring JARs
 
sai rama krishna
Ranch Hand
Posts: 496
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
i thought when i do maven clean and then run as maven install then pom.xml will download all relevant jars for me and keep. is my understanding is wrong?
please advise
 
Tushar Goel
Ranch Hand
Posts: 927
4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
click on the errors. You will get more explanation of the cause.
 
sai rama krishna
Ranch Hand
Posts: 496
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Description Resource Path Location Type
Dynamic Web Module 3.0 requires Java 1.6 or newer. SpringHibernateProject line 1 Maven Java EE Configuration Problem

how to fix above first error?
 
Tushar Goel
Ranch Hand
Posts: 927
4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
what version you mentioned in pom.xml?
 
Jesper de Jong
Java Cowboy
Sheriff
Posts: 15691
73
Android IntelliJ IDE Java Scala Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
If you don't specify the Java version in the Maven pom.xml, then Maven will automatically assume you want to use Java 5.

You'll need to configure the Maven compiler plugin by adding the appropriate configuration to your pom.xml, to set the Java version to whatever version you are using. Instructions here: Setting the -source and -target of the Java Compiler
 
sai rama krishna
Ranch Hand
Posts: 496
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator


my pom is same downloaded from that link.
 
sai rama krishna
Ranch Hand
Posts: 496
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator


when i add as above getting xsd error

cvc-complex-type.2.4.a: Invalid content was found starting with element 'plugins'. One of '{"http://maven.apache.org/POM/4.0.0":parent, "http://maven.apache.org/POM/4.0.0":description, "http://maven.apache.org/POM/
4.0.0":prerequisites, "http://maven.apache.org/POM/4.0.0":issueManagement, "http://maven.apache.org/POM/4.0.0":ciManagement, "http://maven.apache.org/POM/4.0.0":inceptionYear, "http://maven.apache.org/POM/
4.0.0":mailingLists, "http://maven.apache.org/POM/4.0.0":developers, "http://maven.apache.org/POM/4.0.0":contributors, "http://maven.apache.org/POM/4.0.0":licenses, "http://maven.apache.org/POM/4.0.0":scm, "http://
maven.apache.org/POM/4.0.0"rganization, "http://maven.apache.org/POM/4.0.0":build, "http://maven.apache.org/POM/4.0.0":profiles, "http://maven.apache.org/POM/4.0.0":modules, "http://maven.apache.org/POM/
4.0.0":pluginRepositories, "http://maven.apache.org/POM/4.0.0":reports, "http://maven.apache.org/POM/4.0.0":reporting, "http://maven.apache.org/POM/4.0.0":dependencyManagement, "http://maven.apache.org/POM/
4.0.0":distributionManagement, "http://maven.apache.org/POM/4.0.0":properties}' is expected.


please advise
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!